List payment links
curl --request GET \
--url https://api.platnova.com/v1/links \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.platnova.com/v1/links"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.platnova.com/v1/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"data": {
"items": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"amount": 123,
"url": "<string>",
"status": 123,
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"size": 123,
"max_page": 123,
"total_pages": 123,
"total": 123,
"last": true,
"first": true,
"visible": 123
},
"error": [
"<unknown>"
],
"message": "<string>"
}{
"status": true,
"data": {},
"error": [
"<unknown>"
],
"message": "<string>"
}Payment Links
List Payment Links
Retrieve a paginated list of payment links for the authenticated entity.
GET
/
v1
/
links
List payment links
Overview
Retrieve a paginated list of all payment links associated with your account. This endpoint allows you to view all links with their status and basic information.Authorizations
API key for authentication.
Query Parameters
Page number (0-indexed)
Number of items per page
Sort field and direction
Filter expression
⌘I

